# InExpression Class Reference
[Logical expressions used in OSQL and Form]

Name says it all. More...

Inheritance diagram for InExpression:
[legend]

List of all members.

## Public Member Functions

| __construct ($left, $right, $logic)
| toMapped (ProtoDAO $dao, JoinCapableQuery $query)
| toDialectString (Dialect $dialect)
| toBoolean (Form $form)

## Public Attributes

const | IN = 'IN'
const | NOT_IN = 'NOT IN'

## Private Attributes

| $left = null
| $right = null
| $logic = null

## Detailed Description

Name says it all.

:-)

Definition at line 17 of file InExpression.class.php.

## Constructor & Destructor Documentation

InExpression::__construct | ( | $ | left,
|  | $ | right,
|  | $ | logic |
| ) |  |  |

Definition at line 26 of file InExpression.class.php.

References $left, $logic, $right, and Assert::isTrue().

Here is the call graph for this function:

## Member Function Documentation

InExpression::toBoolean | ( | Form $ | form | ) |

Definition at line 96 of file InExpression.class.php.

References $left, $right, and Form::toFormValue().

Here is the call graph for this function:

InExpression::toDialectString | ( | Dialect $ | dialect | ) |

Implements DialectString.

Definition at line 67 of file InExpression.class.php.

References $right, and SQLArray::create().

Here is the call graph for this function:

InExpression::toMapped | ( | ProtoDAO $ | dao,
|  | JoinCapableQuery $ | query |
| ) |  |  |

Returns:
  InExpression

Implements MappableObject.

Definition at line 48 of file InExpression.class.php.

References $right, and ProtoDAO::guessAtom().

Here is the call graph for this function:

## Member Data Documentation

InExpression::$left = null`[private]`

Definition at line 22 of file InExpression.class.php.

Referenced by __construct(), and toBoolean().

InExpression::$logic = null`[private]`

Definition at line 24 of file InExpression.class.php.

Referenced by __construct().

InExpression::$right = null`[private]`

Definition at line 23 of file InExpression.class.php.

Referenced by __construct(), toBoolean(), toDialectString(), and toMapped().

const InExpression::IN = 'IN'

Definition at line 19 of file InExpression.class.php.

Referenced by OqlInExpression::evaluate(), OqlParser::getLogicExpression(), and Expression::in().

const InExpression::NOT_IN = 'NOT IN'

Definition at line 20 of file InExpression.class.php.

Referenced by OqlInExpression::evaluate(), OqlParser::getLogicExpression(), and Expression::notIn().

The documentation for this class was generated from the following file:

- core/Logic/InExpression.class.php